Summary:        Volume control for PulseAudio
Name:           pavucontrol
Version:        5.0
Release:        5%{?dist}
License:        GPLv2+
URL:            http://freedesktop.org/software/pulseaudio/%{name}
Source0:        http://freedesktop.org/software/pulseaudio/%{name}/%{name}-%{version}.tar.xz
Source1:        org.pulseaudio.pavucontrol.appdata.xml

BuildRequires: make pkgconfig(gtkmm-3.0) pkgconfig(json-glib-1.0) pkgconfig(libcanberra-gtk3) pkgconfig(libpulse-mainloop-glib)
BuildRequires: desktop-file-utils libappstream-glib gcc-c++ intltool lynx
BuildRequires: pkgconfig(sigc++-2.0)

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK based volume control
tool ("mixer") for the PulseAudio sound server. In contrast to classic mixer
tools this one allows you to control both the volume of hardware devices and
of each playback stream separately.

%prep
%autosetup -p1

%build
%configure \
  --disable-silent-rules

%make_build

%install
%make_install

rm -f %{buildroot}%{_docdir}/pavucontrol/README
rm -f %{buildroot}%{_docdir}/pavucontrol/README.html
rm -f %{buildroot}%{_docdir}/pavucontrol/style.css

%find_lang %{name}

mkdir -p %{buildroot}%{_metainfodir}
install -pm 644 %{SOURCE1} %{buildroot}%{_metainfodir}/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/pavucontrol.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.pulseaudio.pavucontrol.appdata.xml

%files -f %{name}.lang
%license LICENSE
%doc doc/README
%{_bindir}/pavucontrol
%{_datadir}/pavucontrol
%{_datadir}/applications/pavucontrol.desktop
%{_metainfodir}/org.pulseaudio.pavucontrol.appdata.xml

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 cunshunxia <cunshunxia@tencent.com> - 5.0-1
- initial build
